@charset "UTF-8";

/* 共通 */

html {
  font-size: 16px;
  scroll-behavior: smooth;
}

body {
  padding-top: 150px;
  font-family: "Zen Kaku Gothic New", sans-serif;
}

a {
  color: #333;
  text-decoration: none;
  display: inline-block;
}

img {
  max-width: 100%;
}

li {
  list-style: none;
}

.wrapper {
  width: 90%;
  max-width: 1200px;
  margin: 0 auto;
}

section{
  scroll-margin-top: 150px;
}

.sec-ttl {
  font-size: 3rem;
  text-align: center;
  margin: clamp(48px, 5vw, 120px) 0;
}

/*** ヘッダー ***/
header {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 20;
  backdrop-filter: blur(5px);
}

.header-inner {
  display: flex;
  justify-content: space-between;
  padding-top: 20px;
}

h1 span{
  display: block;
}

h1 span:nth-of-type(2){
  display: flex;
  align-items: center;
}

.logo-main{
  font-size: 3rem;
  color: #144e94;
}

.logo-sub{
  font-size: 2rem;
  color: #2967c4;
}

.logo-sub {
  display: flex;
}

.burger-btn{
  display: none;
}

.reserve ul {
  display: flex;
  justify-content: flex-end;
  gap: 30px;
}

.reserve ul li {
  display: flex;
  align-items: center;
  gap: 10px;
  background-color: #f5a623;
  border: 1px solid #f5a623;
  border-radius: 50px;
  padding: 10px 20px;
}

.reserve ul li p {
  font-size: 1.5rem;
  font-weight: bold;
}

nav ul {
  display: flex;
  justify-content: flex-end;
  margin-top: 20px;
}

nav li{
  padding:0 25px;
  border-right: 1px solid #000;
}

nav li:last-of-type{
  border-right: none;
  padding-right: 0;
}

nav a {
  font-size: 1.5rem;
}

/*** ファーストビュー ***/
.fv {
  position: relative;
}

video {
  width: 100%;
  height: calc(100vh - 150px);
  object-fit: cover;
  display: block;
}

.fv-cont {
  position: absolute;
  bottom: 0;
  right: 0;
  display: flex;
  justify-content: flex-end;
  gap: 20px;
  width: 50%;
}

.fv-cont iframe {
  width: 45%;
  height: auto;
  border-radius: 50px;
  aspect-ratio: 16/9;
}

.fv-cont img {
  width: 45%;
}

/*** アバウト(当院について)セクション ***/
.about h3 {
  font-size: 2rem;
  margin: clamp(32px, 3vw, 64px) 0;
}

.doctor-cont {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
  position: relative;
}

.doctor-cont img {
  width: 55%;
  border-radius: 30px;
}

.doctor-text {
  width: 55%;
  position: absolute;
  right: 0;
  background-color: rgb(74, 133, 222, 0.5);
  border-radius: 30px;
  padding: 24px;
}

.doctor-text p:nth-child(1) {
  font-size: 1.75rem;
  margin-bottom: 20px;
  text-align: center;
}

.doctor-text p:nth-child(2) {
  font-size: 1.25rem;
}

.hospital-introduction-item {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
}

.hospital-introduction-item:nth-of-type(even) {
  flex-direction: row-reverse;
}

.hospital-introduction-item + .hospital-introduction-item {
  margin-top: 32px;
}

.hospital-introduction-item img {
  width: 55%;
  box-shadow: 4px 4px 10px #333;
}

.hospital-introduction-text {
  width: 40%;
  font-size: 1.5rem;
  color: #2967c4;
}

.hospital-introduction-text p:nth-child(1) {
  text-align: center;
  margin: 10px;
}

/*** ディティール(診療内容)セクション ***/

.details-cont {
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;
}

.details-item {
  border: 1px solid #333;
  border-radius: 30px;
  width: 30%;
  height: 400px;
  text-align: center;
}

.details-item p {
  font-size: 2rem;
}

/*** クエスチョン(よくあるご質問)セクション ***/

.question-item {
  text-align: center;
  margin-top: 64px;
  padding-bottom: 48px;
  border-bottom: 2px solid #000;
}

.question-ttl {
  font-size: 2rem;
  z-index: 10;
  position: relative;
  cursor: pointer;
}

.question-ttl::before,
.question-ttl::after {
  content: "";
  background-color: #333;
  position: absolute;
  top: 50%;
  right: 10%;
  transform: translate(50%, -50%);
}

.question-ttl::before {
  width: 2px;
  height: 30px;
  transition: all 0.5s;
}

.question-ttl::after {
  width: 30px;
  height: 2px;
}

.question-ttl.is-open::before {
  transform: translate(50%, -50%) rotate(-90deg);
}

.answer-wrap {
  overflow: hidden;
  max-height: 0;
  transition: max-height 0.5s;
}

.answer-wrap.is-open {
  max-height: 200px;
}

.answer {
  font-size: 1.5rem;
  padding: 32px 0;
  color: #2967c4;
}

/*** アクセスセクション ***/
.access-cont{
  width: 100%;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 120px;
}

.left{
  width: 50%;
}

.access-cont iframe{
  aspect-ratio: 1/1;
  width: 100%;
}

.right{
  width: 45%;
}

.address{
  font-size: 32px;
  margin-bottom: 48px;
}

.access-cont img{
  width: 100%;
}


/*** フッター ***/
footer{
  background-color: #d9d9d9;
  padding-bottom: 32px;
}




/************ スマフォサイズ **************/
@media (max-width: 767px) {
  /*** 共通 ***/
  html {
    font-size: 12px;
  }

  /*** ヘッダー ***/
  .logo-sub img{
    width: 10%;
  }

  .burger-btn {
    width: 30px;
    border-radius: 50%;
    cursor: pointer;
    transition: all 0.5s;
    z-index: 10;
    position: relative;
    display: block;
  }

  .burger-btn span {
    display: block;
    width: 100%;
    height: 2px;
    background-color: #333;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }

  .burger-btn span::before,
  .burger-btn span::after {
    content: "";
    width: 100%;
    height: 2px;
    background-color: #333;
    position: absolute;
    transition: all 0.5s;
  }

  .burger-btn span::before {
    top: -10px;
  }

  .burger-btn span::after {
    top: 10px;
  }

  .burger-btn p{
    position: absolute;
    bottom: 0;
  }

  .is-open span {
    background-color: transparent;
  }

  .is-open span::before {
    top: 0;
    transform: rotate(-45deg);
  }

  .is-open span::after {
    top: 0;
    transform: rotate(45deg);
  }

  .header-contents{
    display: none;
  }

  .header-contents.is-open{
    position: absolute;
    top: 0;
    left: 0;
    display: flex;
    flex-direction: column;
    width: 100vw;
    height: 100vh;
    justify-content: center;
    align-items: center;
    background-color: rgb(128, 128, 128, .6);
  }

  .is-open .reserve ul{
    flex-direction: column;
  }

  .is-open .reserve ul li:nth-of-type(2){
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
  }

  .is-open nav ul{
    text-align: center;
    flex-direction: column;
  }

  .is-open nav ul li{
    border-right: none;
  }

  .is-open nav ul li a{
    padding: 10px;
    color: #f4f4f4;
  }

  /*** ファーストビュー ****/
  video {
    height: 60vh;
  }

  .fv-cont {
    position: static;
    width: 100%;
    flex-direction: column;
    margin-top: 20px;
  }

  .fv-cont iframe,
  .fv-cont img {
    width: 90%;
    margin: 0 auto;
  }


  /*** アバウト(当院について)セクション ****/
  .doctor-cont {
    flex-direction: column;
  }

  .doctor-cont img {
    width: 100%;
  }

  .doctor-text {
    position: static;
    width: 100%;
    margin-top: 20px;
  }

  .hospital-introduction-item {
    flex-direction: column;
  }

  .hospital-introduction-item:nth-of-type(even) {
    flex-direction: column;
  }

  .hospital-introduction-item img,
  .hospital-introduction-text {
    width: 100%;
  }


  /*** ディティール(診療内容)セクション ****/
  .details-cont {
    flex-direction: column;
    gap: 20px;
  }

  .details-item {
    width: 100%;
    height: auto;
    padding: 20px;
  }


  /*** クエスチョン(よくあるご質問)セクション ****/
  .question-ttl {
    padding-right: 40px;
  }

  .question-ttl::before,
  .question-ttl::after {
    right: 5%;
  }

  /*** アクセスセクション ***/
  .access-cont{
    flex-direction: column;
  }

  .left{
    width: 100%;
  }

  .right{
    width: 100%;
  }

  /*** フッターセクション ***/
  footer h1{
    width: fit-content;
    margin: 0 auto;
  }

  footer .header-contents{
    display: none;
  }
}
